<?php

class Pi_Edd_Show_Estimate{

    static function overAllEstimate($order_id){
       $date = get_post_meta( $order_id, 'pi_overall_estimate_date', true );
       $days = get_post_meta( $order_id, 'pi_overall_estimate_days', true );

       $min_date = get_post_meta( $order_id, 'pi_overall_estimate_min_date', true );
       $min_days = get_post_meta( $order_id, 'pi_overall_estimate_min_days', true );

       $max_date = get_post_meta( $order_id, 'pi_overall_estimate_max_date', true );
       $max_days = get_post_meta( $order_id, 'pi_overall_estimate_max_days', true );

       $range = get_option('pi_general_range',0);
       if(!empty($range) && $min_date != $max_date){
        $msg_template = Pi_Edd_Product_Rule::getMessage('pi_overall_estimate_range_text','Order estimated delivery date {min_date} - {max_date}');
        
       }else{
        $msg_template = Pi_Edd_Product_Rule::getMessage('pi_overall_estimate_text','Order estimated delivery date {date}');
       }
       $find = array('{date}','{days}','{min_date}','{min_days}','{max_date}','{max_days');

       $replace = array(
           pi_edd_common::formatedDate($date), 
           $days, 
           pi_edd_common::formatedDate($min_date), 
           $min_days,
           pi_edd_common::formatedDate($max_date), 
           $max_days
        );
       $msg = str_replace($find, $replace, $msg_template);
       return $msg;
    }
    
}